Kea: isc::lease_query Namespace Reference

| Kea 3.2.0-git

isc::lease_query Namespace Reference

## Classes
class | AddressList
| Manages a unique list of IP addresses. More...
class | BlqMsg
| Lease Query specific wrapper around DHCPx packet. More...
class | BlqQuery
| Holds a bulk lease query query packet. More...
class | BlqResponse
| Holds a bulk lease query response packet. More...
class | BulkLeaseQuery
| Base class for providing control flow for processing a bulk query. More...
class | BulkLeaseQuery4
| Provides control flow for processing a bulk query. More...
class | BulkLeaseQuery6
| Provides control flow for processing a bulk query. More...
class | BulkLeaseQueryService
class | LeaseQueryConnection
| Derivation of TcpConnection used for Bulk LeaseQuery. More...
class | LeaseQueryImpl
| Provides configuration and control flow for processing queries. More...
class | LeaseQueryImpl4
| Provides configuration and for processing DHCPv4 lease queries. More...
class | LeaseQueryImpl6
| Provides configuration and control flow for processing queries. More...
class | LeaseQueryImplFactory
class | LeaseQueryListener
| Derivation of TcpListener specific to Bulk Lease Query. More...
class | MtLeaseQueryListenerMgr
| Manages a thread-pool that is used to drive a LeaseQueryListener. More...
struct | PoolRangeEqual
| Equality comparator for two pools based on their address range. More...
struct | PoolRangeHash
| Hash for a Pool based on it's address range. More...
class | PoolSet
| Manages a unique set of Pools of a given protocol family. More...
class | QueryTerminated
| Thrown on hook termination. More...
class | XidQueue
| Wrapper around a chronological list of queries, uniquely keyed by transaction id. More...

## Typedefs
typedef boost::shared_ptr< BlqMsg > | BlqMsgPtr
| Defines a shared pointer to an BlqMsg.
typedef std::function< void(const BlqPostCbArg &)> | BlqPostCb
| Type of BLQ post callback.
typedef std::function< void()> | BlqPostCbArg
| Type of BLQ post callback argument..
typedef std::function< bool(BlqResponsePtr)> | BlqPushToSendCb
| Type of BLQ pushToSend callback.
typedef std::function< void(Xid)> | BlqQueryCompleteCb
| Type of BLQ queryComplete callback.
typedef std::list< BlqQueryPtr > | BlqQueryList
| Contains a list of BlqQuery pointers.
typedef boost::shared_ptr< BlqQuery > | BlqQueryPtr
| Defines a shared pointer to an BlqQuery.
typedef std::list< BlqResponsePtr > | BlqResponseList
| Contains a list of BlqResponse pointers.
typedef boost::shared_ptr< BlqResponse > | BlqResponsePtr
| Defines a shared pointer to an BlqResponse.
typedef boost::shared_ptr< BulkLeaseQuery4 > | BulkLeaseQuery4Ptr
| Defines a shared pointer to a BulkLeaseQuery4 object.
typedef boost::shared_ptr< BulkLeaseQuery6 > | BulkLeaseQuery6Ptr
| Defines a shared pointer to a BulkLeaseQuery6 object.
typedef boost::shared_ptr< BulkLeaseQuery > | BulkLeaseQueryPtr
| Defines a shared pointer to a BulkLeaseQuery object.
typedef boost::shared_ptr< BulkLeaseQueryService > | BulkLeaseQueryServicePtr
| Defines a shared pointer to BulkLeaseQueryService.
typedef boost::shared_ptr< LeaseQueryConnection > | LeaseQueryConnectionPtr
| Defines a shared pointer to a LeaseQueryConnection.
typedef boost::weak_ptr< LeaseQueryConnection > | LeaseQueryConnectionWPtr
| Defines a weak pointer to a LeaseQueryConnection.
typedef boost::shared_ptr< LeaseQueryImpl4 > | LeaseQueryImpl4Ptr
| Defines a smart pointer to LeaseQueryImpl4 instance.
typedef boost::shared_ptr< LeaseQueryImpl6 > | LeaseQueryImpl6Ptr
| Defines a smart pointer to LeaseQueryImpl6 instance.
typedef boost::shared_ptr< LeaseQueryImpl > | LeaseQueryImplPtr
| Defines a smart pointer to LeaseQueryImpl instance.
typedef boost::shared_ptr< LeaseQueryListener > | LeaseQueryListenerPtr
| Defines a pointer to a LeaseQueryListener.
typedef boost::shared_ptr< MtLeaseQueryListenerMgr > | MtLeaseQueryListenerMgrPtr
| Defines a shared pointer to MtLeaseQueryListenerMgr.
using | PoolRangeSet
| Defines an alias for a set of pools hashed by range.
typedef std::set< uint8_t > | PrefixLengthList
| Defines an ordered list of prefix lengths.
typedef boost::shared_ptr< dhcp::Pkt6::RelayInfo > | RelayInfoPtr
| Defines a shared pointer to a Pkt6::RelayInfo.
typedef uint32_t | Xid
| Defines a Bulk LeaseQuery transaction id.

## Enumerations
enum | BLQStates { BLQ_STATE_AVAILABLE = 1 , BLQ_STATE_ACTIVE = 2 , BLQ_STATE_EXPIRED = 3 , BLQ_STATE_RELEASED = 4 , BLQ_STATE_ABANDONED = 5 , BLQ_STATE_RESET = 6 , BLQ_STATE_REMOTE = 7 , BLQ_STATE_TRANSITIONING = 8 }
| States. More...
enum | BLQStatusCode { BLQ_STATUS_Success = 0 , BLQ_STATUS_UnspecFail = 1 , BLQ_STATUS_QueryTerminated = 2 , BLQ_STATUS_MalformedQuery = 3 , BLQ_STATUS_NotAllowed = 4 }
| Status Codes. More...

## Functions
std::string | getStateName (BLQStates state)
| Return the name of the state.
std::string | getStatusCodeName (BLQStatusCode status)
| Return the name of the status code.

## Variables
const isc::log::MessageID | BULK_LEASE_QUERY4_UNSUPPORTED_MSG_TYPE = "BULK_LEASE_QUERY4_UNSUPPORTED_MSG_TYPE"
const isc::log::MessageID | BULK_LEASE_QUERY6_UNSUPPORTED_MSG_TYPE = "BULK_LEASE_QUERY6_UNSUPPORTED_MSG_TYPE"
const isc::log::MessageID | BULK_LEASE_QUERY_AT_MAX_CONCURRENT_QUERIES = "BULK_LEASE_QUERY_AT_MAX_CONCURRENT_QUERIES"
const isc::log::MessageID | BULK_LEASE_QUERY_DEQUEUED = "BULK_LEASE_QUERY_DEQUEUED"
const isc::log::MessageID | BULK_LEASE_QUERY_DUPLICATE_XID = "BULK_LEASE_QUERY_DUPLICATE_XID"
const isc::log::MessageID | BULK_LEASE_QUERY_EMPTY_REQUEST = "BULK_LEASE_QUERY_EMPTY_REQUEST"
const isc::log::MessageID | BULK_LEASE_QUERY_INVALID_REQUEST = "BULK_LEASE_QUERY_INVALID_REQUEST"
const isc::log::MessageID | BULK_LEASE_QUERY_LISTENER_START_FAILED = "BULK_LEASE_QUERY_LISTENER_START_FAILED"
const isc::log::MessageID | BULK_LEASE_QUERY_PAUSE_CHECK_PERMISSIONS_FAILED = "BULK_LEASE_QUERY_PAUSE_CHECK_PERMISSIONS_FAILED"
const isc::log::MessageID | BULK_LEASE_QUERY_PAUSE_LISTENER_FAILED = "BULK_LEASE_QUERY_PAUSE_LISTENER_FAILED"
const isc::log::MessageID | BULK_LEASE_QUERY_PAUSE_LISTENER_ILLEGAL = "BULK_LEASE_QUERY_PAUSE_LISTENER_ILLEGAL"
const isc::log::MessageID | BULK_LEASE_QUERY_PROCESSING_UNEXPECTED_FAILURE = "BULK_LEASE_QUERY_PROCESSING_UNEXPECTED_FAILURE"
const isc::log::MessageID | BULK_LEASE_QUERY_QUERY_RECEIVED = "BULK_LEASE_QUERY_QUERY_RECEIVED"
const isc::log::MessageID | BULK_LEASE_QUERY_REJECTED_CONNECTION = "BULK_LEASE_QUERY_REJECTED_CONNECTION"
const isc::log::MessageID | BULK_LEASE_QUERY_RESPONSE_SEND_ERROR = "BULK_LEASE_QUERY_RESPONSE_SEND_ERROR"
const isc::log::MessageID | BULK_LEASE_QUERY_RESPONSE_SENT = "BULK_LEASE_QUERY_RESPONSE_SENT"
const isc::log::MessageID | BULK_LEASE_QUERY_RESUME_LISTENER_FAILED = "BULK_LEASE_QUERY_RESUME_LISTENER_FAILED"
const isc::log::MessageID | BULK_LEASE_QUERY_UNPACK_ERROR = "BULK_LEASE_QUERY_UNPACK_ERROR"
const isc::log::MessageID | DHCP4_LEASE_QUERY_PACKET_PACK_FAILED = "DHCP4_LEASE_QUERY_PACKET_PACK_FAILED"
const isc::log::MessageID | DHCP4_LEASE_QUERY_PACKET_UNPACK_FAILED = "DHCP4_LEASE_QUERY_PACKET_UNPACK_FAILED"
const isc::log::MessageID | DHCP4_LEASE_QUERY_PROCESS_FAILED = "DHCP4_LEASE_QUERY_PROCESS_FAILED"
const isc::log::MessageID | DHCP4_LEASE_QUERY_RECEIVED = "DHCP4_LEASE_QUERY_RECEIVED"
const isc::log::MessageID | DHCP4_LEASE_QUERY_RESPONSE_SENT = "DHCP4_LEASE_QUERY_RESPONSE_SENT"
const isc::log::MessageID | DHCP4_LEASE_QUERY_SEND_FAILED = "DHCP4_LEASE_QUERY_SEND_FAILED"
const isc::log::MessageID | DHCP6_LEASE_QUERY_ERROR_GETTING_RELAY_INFO = "DHCP6_LEASE_QUERY_ERROR_GETTING_RELAY_INFO"
const isc::log::MessageID | DHCP6_LEASE_QUERY_PACKET_PACK = "DHCP6_LEASE_QUERY_PACKET_PACK"
const isc::log::MessageID | DHCP6_LEASE_QUERY_PACKET_PACK_FAILED = "DHCP6_LEASE_QUERY_PACKET_PACK_FAILED"
const isc::log::MessageID | DHCP6_LEASE_QUERY_PACKET_UNPACK_FAILED = "DHCP6_LEASE_QUERY_PACKET_UNPACK_FAILED"
const isc::log::MessageID | DHCP6_LEASE_QUERY_PREFIX_LENGTH_LIST = "DHCP6_LEASE_QUERY_PREFIX_LENGTH_LIST"
const isc::log::MessageID | DHCP6_LEASE_QUERY_PROCESS_FAILED = "DHCP6_LEASE_QUERY_PROCESS_FAILED"
const isc::log::MessageID | DHCP6_LEASE_QUERY_RECEIVED = "DHCP6_LEASE_QUERY_RECEIVED"
const isc::log::MessageID | DHCP6_LEASE_QUERY_REPLY_SEND_FAILED = "DHCP6_LEASE_QUERY_REPLY_SEND_FAILED"
const isc::log::MessageID | DHCP6_LEASE_QUERY_REPLY_SENT = "DHCP6_LEASE_QUERY_REPLY_SENT"
const isc::log::MessageID | LEASE_QUERY_LOAD_FAILED = "LEASE_QUERY_LOAD_FAILED"
const isc::log::MessageID | LEASE_QUERY_LOAD_OK = "LEASE_QUERY_LOAD_OK"
isc::log::Logger | lease_query_logger ("lease-query-hooks")
const isc::log::MessageID | LEASE_QUERY_UNLOAD_OK = "LEASE_QUERY_UNLOAD_OK"

## Typedef Documentation

## ◆ BlqMsgPtr

typedef boost::shared_ptr<BlqMsg> isc::lease_query::BlqMsgPtr

Defines a shared pointer to an BlqMsg.

Definition at line 93 of file blq_msg.h.

## ◆ BlqPostCb

typedef std::function<void (const BlqPostCbArg&)> isc::lease_query::BlqPostCb

Type of BLQ post callback.

Definition at line 23 of file bulk_lease_query.h.

## ◆ BlqPostCbArg

typedef std::function<void ()> isc::lease_query::BlqPostCbArg

Type of BLQ post callback argument..

Definition at line 20 of file bulk_lease_query.h.

## ◆ BlqPushToSendCb

typedef std::function<bool (BlqResponsePtr)> isc::lease_query::BlqPushToSendCb

Type of BLQ pushToSend callback.

Definition at line 26 of file bulk_lease_query.h.

## ◆ BlqQueryCompleteCb

typedef std::function<void (Xid)> isc::lease_query::BlqQueryCompleteCb

Type of BLQ queryComplete callback.

Definition at line 29 of file bulk_lease_query.h.

## ◆ BlqQueryList

typedef std::list<BlqQueryPtr> isc::lease_query::BlqQueryList

Contains a list of BlqQuery pointers.

Definition at line 119 of file blq_msg.h.

## ◆ BlqQueryPtr

typedef boost::shared_ptr<BlqQuery> isc::lease_query::BlqQueryPtr

Defines a shared pointer to an BlqQuery.

Definition at line 116 of file blq_msg.h.

## ◆ BlqResponseList

typedef std::list<BlqResponsePtr> isc::lease_query::BlqResponseList

Contains a list of BlqResponse pointers.

Definition at line 146 of file blq_msg.h.

## ◆ BlqResponsePtr

typedef boost::shared_ptr<BlqResponse> isc::lease_query::BlqResponsePtr

Defines a shared pointer to an BlqResponse.

Definition at line 143 of file blq_msg.h.

## ◆ BulkLeaseQuery4Ptr

typedef boost::shared_ptr<BulkLeaseQuery4> isc::lease_query::BulkLeaseQuery4Ptr

Defines a shared pointer to a BulkLeaseQuery4 object.

Definition at line 56 of file bulk_lease_query4.h.

## ◆ BulkLeaseQuery6Ptr

typedef boost::shared_ptr<BulkLeaseQuery6> isc::lease_query::BulkLeaseQuery6Ptr

Defines a shared pointer to a BulkLeaseQuery6 object.

Definition at line 25 of file bulk_lease_query6.h.

## ◆ BulkLeaseQueryPtr

typedef boost::shared_ptr<BulkLeaseQuery> isc::lease_query::BulkLeaseQueryPtr

Defines a shared pointer to a BulkLeaseQuery object.

Definition at line 35 of file bulk_lease_query.h.

## ◆ BulkLeaseQueryServicePtr

typedef boost::shared_ptr<BulkLeaseQueryService> isc::lease_query::BulkLeaseQueryServicePtr

Defines a shared pointer to BulkLeaseQueryService.

Definition at line 25 of file blq_service.h.

## ◆ LeaseQueryConnectionPtr

typedef boost::shared_ptr<LeaseQueryConnection> isc::lease_query::LeaseQueryConnectionPtr

Defines a shared pointer to a LeaseQueryConnection.

Definition at line 151 of file lease_query_connection.h.

## ◆ LeaseQueryConnectionWPtr

typedef boost::weak_ptr<LeaseQueryConnection> isc::lease_query::LeaseQueryConnectionWPtr

Defines a weak pointer to a LeaseQueryConnection.

Definition at line 154 of file lease_query_connection.h.

## ◆ LeaseQueryImpl4Ptr

typedef boost::shared_ptr<LeaseQueryImpl4> isc::lease_query::LeaseQueryImpl4Ptr

Defines a smart pointer to LeaseQueryImpl4 instance.

Definition at line 235 of file lease_query_impl4.h.

## ◆ LeaseQueryImpl6Ptr

typedef boost::shared_ptr<LeaseQueryImpl6> isc::lease_query::LeaseQueryImpl6Ptr

Defines a smart pointer to LeaseQueryImpl6 instance.

Definition at line 502 of file lease_query_impl6.h.

## ◆ LeaseQueryImplPtr

typedef boost::shared_ptr<LeaseQueryImpl> isc::lease_query::LeaseQueryImplPtr

Defines a smart pointer to LeaseQueryImpl instance.

Definition at line 251 of file lease_query_impl.h.

## ◆ LeaseQueryListenerPtr

typedef boost::shared_ptr<LeaseQueryListener> isc::lease_query::LeaseQueryListenerPtr

Defines a pointer to a LeaseQueryListener.

Definition at line 89 of file lease_query_listener.h.

## ◆ MtLeaseQueryListenerMgrPtr

typedef boost::shared_ptr<MtLeaseQueryListenerMgr> isc::lease_query::MtLeaseQueryListenerMgrPtr

Defines a shared pointer to MtLeaseQueryListenerMgr.

Definition at line 85 of file mt_lease_query_mgr.h.

## ◆ PoolRangeSet

using isc::lease_query::PoolRangeSet

Initial value:
std::unordered_set<isc::dhcp::PoolPtr,
PoolRangeHash,
PoolRangeEqual>
isc::dhcp::PoolPtr
boost::shared_ptr< Pool > PoolPtr
a pointer to either IPv4 or IPv6 Pool
Definition pool.h:726
isc::lease_query::PoolRangeEqual
Equality comparator for two pools based on their address range.
Definition lease_query_impl.h:97
isc::lease_query::PoolRangeHash
Hash for a Pool based on it's address range.
Definition lease_query_impl.h:82

Defines an alias for a set of pools hashed by range.

Definition at line 106 of file lease_query_impl.h.

## ◆ PrefixLengthList

typedef std::set<uint8_t> isc::lease_query::PrefixLengthList

Defines an ordered list of prefix lengths.

Definition at line 30 of file lease_query_impl6.h.

## ◆ RelayInfoPtr

typedef boost::shared_ptr<dhcp::Pkt6::RelayInfo> isc::lease_query::RelayInfoPtr

Defines a shared pointer to a Pkt6::RelayInfo.

Definition at line 26 of file lease_query_impl6.h.

## ◆ Xid

typedef uint32_t isc::lease_query::Xid

Defines a Bulk LeaseQuery transaction id.

Definition at line 18 of file blq_msg.h.

## Enumeration Type Documentation

## ◆ BLQStates

enum isc::lease_query::BLQStates

States.

Enumerator
BLQ_STATE_AVAILABLE |
BLQ_STATE_ACTIVE |
BLQ_STATE_EXPIRED |
BLQ_STATE_RELEASED |
BLQ_STATE_ABANDONED |
BLQ_STATE_RESET |
BLQ_STATE_REMOTE |
BLQ_STATE_TRANSITIONING |

Definition at line 33 of file bulk_lease_query4.h.

## ◆ BLQStatusCode

enum isc::lease_query::BLQStatusCode

Status Codes.

Enumerator
BLQ_STATUS_Success |
BLQ_STATUS_UnspecFail |
BLQ_STATUS_QueryTerminated |
BLQ_STATUS_MalformedQuery |
BLQ_STATUS_NotAllowed |

Definition at line 21 of file bulk_lease_query4.h.

## Function Documentation

## ◆ getStateName()

std::string isc::lease_query::getStateName | ( | BLQStates | state | ) |

Return the name of the state.

## ◆ getStatusCodeName()

std::string isc::lease_query::getStatusCodeName | ( | BLQStatusCode | status | ) |

Return the name of the status code.

## Variable Documentation

## ◆ BULK_LEASE_QUERY4_UNSUPPORTED_MSG_TYPE

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY4_UNSUPPORTED_MSG_TYPE = "BULK_LEASE_QUERY4_UNSUPPORTED_MSG_TYPE"
| extern

Definition at line 11 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryConnection::unpackQuery4().

## ◆ BULK_LEASE_QUERY6_UNSUPPORTED_MSG_TYPE

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY6_UNSUPPORTED_MSG_TYPE = "BULK_LEASE_QUERY6_UNSUPPORTED_MSG_TYPE"
| extern

Definition at line 12 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryConnection::unpackQuery6().

## ◆ BULK_LEASE_QUERY_AT_MAX_CONCURRENT_QUERIES

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_AT_MAX_CONCURRENT_QUERIES = "BULK_LEASE_QUERY_AT_MAX_CONCURRENT_QUERIES"
| extern

Definition at line 13 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryConnection::requestReceived().

## ◆ BULK_LEASE_QUERY_DEQUEUED

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_DEQUEUED = "BULK_LEASE_QUERY_DEQUEUED"
| extern

Definition at line 14 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryConnection::popPendingQuery().

## ◆ BULK_LEASE_QUERY_DUPLICATE_XID

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_DUPLICATE_XID = "BULK_LEASE_QUERY_DUPLICATE_XID"
| extern

Definition at line 15 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryConnection::requestReceived().

## ◆ BULK_LEASE_QUERY_EMPTY_REQUEST

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_EMPTY_REQUEST = "BULK_LEASE_QUERY_EMPTY_REQUEST"
| extern

Definition at line 16 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryConnection::requestReceived().

## ◆ BULK_LEASE_QUERY_INVALID_REQUEST

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_INVALID_REQUEST = "BULK_LEASE_QUERY_INVALID_REQUEST"
| extern

Definition at line 17 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryConnection::startQuery().

## ◆ BULK_LEASE_QUERY_LISTENER_START_FAILED

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_LISTENER_START_FAILED = "BULK_LEASE_QUERY_LISTENER_START_FAILED"
| extern

Definition at line 18 of file lease_query_messages.h.

Referenced by isc::lease_query::BulkLeaseQueryService::doStartListener().

## ◆ BULK_LEASE_QUERY_PAUSE_CHECK_PERMISSIONS_FAILED

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_PAUSE_CHECK_PERMISSIONS_FAILED = "BULK_LEASE_QUERY_PAUSE_CHECK_PERMISSIONS_FAILED"
| extern

Definition at line 19 of file lease_query_messages.h.

Referenced by isc::lease_query::BulkLeaseQueryService::checkListenerPausePermission().

## ◆ BULK_LEASE_QUERY_PAUSE_LISTENER_FAILED

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_PAUSE_LISTENER_FAILED = "BULK_LEASE_QUERY_PAUSE_LISTENER_FAILED"
| extern

Definition at line 20 of file lease_query_messages.h.

Referenced by isc::lease_query::BulkLeaseQueryService::pauseListener().

## ◆ BULK_LEASE_QUERY_PAUSE_LISTENER_ILLEGAL

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_PAUSE_LISTENER_ILLEGAL = "BULK_LEASE_QUERY_PAUSE_LISTENER_ILLEGAL"
| extern

Definition at line 21 of file lease_query_messages.h.

Referenced by isc::lease_query::BulkLeaseQueryService::checkListenerPausePermission().

## ◆ BULK_LEASE_QUERY_PROCESSING_UNEXPECTED_FAILURE

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_PROCESSING_UNEXPECTED_FAILURE = "BULK_LEASE_QUERY_PROCESSING_UNEXPECTED_FAILURE"
| extern

Definition at line 22 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryConnection::post().

## ◆ BULK_LEASE_QUERY_QUERY_RECEIVED

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_QUERY_RECEIVED = "BULK_LEASE_QUERY_QUERY_RECEIVED"
| extern

Definition at line 23 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryConnection::requestReceived().

## ◆ BULK_LEASE_QUERY_REJECTED_CONNECTION

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_REJECTED_CONNECTION = "BULK_LEASE_QUERY_REJECTED_CONNECTION"
| extern

Definition at line 24 of file lease_query_messages.h.

Referenced by isc::lease_query::BulkLeaseQueryService::acceptFilter().

## ◆ BULK_LEASE_QUERY_RESPONSE_SEND_ERROR

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_RESPONSE_SEND_ERROR = "BULK_LEASE_QUERY_RESPONSE_SEND_ERROR"
| extern

Definition at line 25 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryConnection::sendNextResponse().

## ◆ BULK_LEASE_QUERY_RESPONSE_SENT

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_RESPONSE_SENT = "BULK_LEASE_QUERY_RESPONSE_SENT"
| extern

Definition at line 26 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryConnection::sendNextResponse().

## ◆ BULK_LEASE_QUERY_RESUME_LISTENER_FAILED

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_RESUME_LISTENER_FAILED = "BULK_LEASE_QUERY_RESUME_LISTENER_FAILED"
| extern

Definition at line 27 of file lease_query_messages.h.

Referenced by isc::lease_query::BulkLeaseQueryService::resumeListener().

## ◆ BULK_LEASE_QUERY_UNPACK_ERROR

const isc::log::MessageID isc::lease_query::BULK_LEASE_QUERY_UNPACK_ERROR = "BULK_LEASE_QUERY_UNPACK_ERROR"
| extern

Definition at line 28 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryConnection::requestReceived().

## ◆ DHCP4_LEASE_QUERY_PACKET_PACK_FAILED

const isc::log::MessageID isc::lease_query::DHCP4_LEASE_QUERY_PACKET_PACK_FAILED = "DHCP4_LEASE_QUERY_PACKET_PACK_FAILED"
| extern

Definition at line 29 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryImpl4::sendResponse().

## ◆ DHCP4_LEASE_QUERY_PACKET_UNPACK_FAILED

const isc::log::MessageID isc::lease_query::DHCP4_LEASE_QUERY_PACKET_UNPACK_FAILED = "DHCP4_LEASE_QUERY_PACKET_UNPACK_FAILED"
| extern

Definition at line 30 of file lease_query_messages.h.

Referenced by buffer4_receive().

## ◆ DHCP4_LEASE_QUERY_PROCESS_FAILED

const isc::log::MessageID isc::lease_query::DHCP4_LEASE_QUERY_PROCESS_FAILED = "DHCP4_LEASE_QUERY_PROCESS_FAILED"
| extern

Definition at line 31 of file lease_query_messages.h.

Referenced by buffer4_receive().

## ◆ DHCP4_LEASE_QUERY_RECEIVED

const isc::log::MessageID isc::lease_query::DHCP4_LEASE_QUERY_RECEIVED = "DHCP4_LEASE_QUERY_RECEIVED"
| extern

Definition at line 32 of file lease_query_messages.h.

Referenced by buffer4_receive().

## ◆ DHCP4_LEASE_QUERY_RESPONSE_SENT

const isc::log::MessageID isc::lease_query::DHCP4_LEASE_QUERY_RESPONSE_SENT = "DHCP4_LEASE_QUERY_RESPONSE_SENT"
| extern

Definition at line 33 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryImpl4::sendResponse().

## ◆ DHCP4_LEASE_QUERY_SEND_FAILED

const isc::log::MessageID isc::lease_query::DHCP4_LEASE_QUERY_SEND_FAILED = "DHCP4_LEASE_QUERY_SEND_FAILED"
| extern

Definition at line 34 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryImpl4::sendResponse().

## ◆ DHCP6_LEASE_QUERY_ERROR_GETTING_RELAY_INFO

const isc::log::MessageID isc::lease_query::DHCP6_LEASE_QUERY_ERROR_GETTING_RELAY_INFO = "DHCP6_LEASE_QUERY_ERROR_GETTING_RELAY_INFO"
| extern

Definition at line 35 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryImpl6::makeRelayOption().

## ◆ DHCP6_LEASE_QUERY_PACKET_PACK

const isc::log::MessageID isc::lease_query::DHCP6_LEASE_QUERY_PACKET_PACK = "DHCP6_LEASE_QUERY_PACKET_PACK"
| extern

Definition at line 36 of file lease_query_messages.h.

## ◆ DHCP6_LEASE_QUERY_PACKET_PACK_FAILED

const isc::log::MessageID isc::lease_query::DHCP6_LEASE_QUERY_PACKET_PACK_FAILED = "DHCP6_LEASE_QUERY_PACKET_PACK_FAILED"
| extern

Definition at line 37 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryImpl6::sendResponse().

## ◆ DHCP6_LEASE_QUERY_PACKET_UNPACK_FAILED

const isc::log::MessageID isc::lease_query::DHCP6_LEASE_QUERY_PACKET_UNPACK_FAILED = "DHCP6_LEASE_QUERY_PACKET_UNPACK_FAILED"
| extern

Definition at line 38 of file lease_query_messages.h.

Referenced by buffer6_receive().

## ◆ DHCP6_LEASE_QUERY_PREFIX_LENGTH_LIST

const isc::log::MessageID isc::lease_query::DHCP6_LEASE_QUERY_PREFIX_LENGTH_LIST = "DHCP6_LEASE_QUERY_PREFIX_LENGTH_LIST"
| extern

Definition at line 39 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryImpl6::populatePrefixLengthList().

## ◆ DHCP6_LEASE_QUERY_PROCESS_FAILED

const isc::log::MessageID isc::lease_query::DHCP6_LEASE_QUERY_PROCESS_FAILED = "DHCP6_LEASE_QUERY_PROCESS_FAILED"
| extern

Definition at line 40 of file lease_query_messages.h.

Referenced by buffer6_receive().

## ◆ DHCP6_LEASE_QUERY_RECEIVED

const isc::log::MessageID isc::lease_query::DHCP6_LEASE_QUERY_RECEIVED = "DHCP6_LEASE_QUERY_RECEIVED"
| extern

Definition at line 41 of file lease_query_messages.h.

Referenced by buffer6_receive().

## ◆ DHCP6_LEASE_QUERY_REPLY_SEND_FAILED

const isc::log::MessageID isc::lease_query::DHCP6_LEASE_QUERY_REPLY_SEND_FAILED = "DHCP6_LEASE_QUERY_REPLY_SEND_FAILED"
| extern

Definition at line 42 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryImpl6::sendResponse().

## ◆ DHCP6_LEASE_QUERY_REPLY_SENT

const isc::log::MessageID isc::lease_query::DHCP6_LEASE_QUERY_REPLY_SENT = "DHCP6_LEASE_QUERY_REPLY_SENT"
| extern

Definition at line 43 of file lease_query_messages.h.

Referenced by isc::lease_query::LeaseQueryImpl6::sendResponse().

## ◆ LEASE_QUERY_LOAD_FAILED

const isc::log::MessageID isc::lease_query::LEASE_QUERY_LOAD_FAILED = "LEASE_QUERY_LOAD_FAILED"
| extern

Definition at line 44 of file lease_query_messages.h.

Referenced by load().

## ◆ LEASE_QUERY_LOAD_OK

const isc::log::MessageID isc::lease_query::LEASE_QUERY_LOAD_OK = "LEASE_QUERY_LOAD_OK"
| extern

Definition at line 45 of file lease_query_messages.h.

Referenced by load().

## ◆ lease_query_logger

isc::log::Logger isc::lease_query::lease_query_logger | ( | "lease-query-hooks" |  | ) |

Definition at line 17 of file lease_query_log.h.

Referenced by isc::lease_query::BulkLeaseQueryService::acceptFilter(), buffer4_receive(), buffer6_receive(), isc::lease_query::BulkLeaseQueryService::checkListenerPausePermission(), isc::lease_query::BulkLeaseQueryService::doStartListener(), load(), isc::lease_query::LeaseQueryImpl6::makeRelayOption(), isc::lease_query::BulkLeaseQueryService::pauseListener(), isc::lease_query::LeaseQueryConnection::popPendingQuery(), isc::lease_query::LeaseQueryImpl6::populatePrefixLengthList(), isc::lease_query::LeaseQueryConnection::post(), isc::lease_query::LeaseQueryConnection::requestReceived(), isc::lease_query::BulkLeaseQueryService::resumeListener(), isc::lease_query::LeaseQueryConnection::sendNextResponse(), isc::lease_query::LeaseQueryImpl4::sendResponse(), isc::lease_query::LeaseQueryImpl6::sendResponse(), isc::lease_query::LeaseQueryConnection::startQuery(), unload(), isc::lease_query::LeaseQueryConnection::unpackQuery4(), and isc::lease_query::LeaseQueryConnection::unpackQuery6().

## ◆ LEASE_QUERY_UNLOAD_OK

const isc::log::MessageID isc::lease_query::LEASE_QUERY_UNLOAD_OK = "LEASE_QUERY_UNLOAD_OK"
| extern

Definition at line 46 of file lease_query_messages.h.

Referenced by unload().